var win = Titanium.UI.createWindow({
	title: 'Push Test',
	backgroundColor: '#fff'
});

var login = "stoda@appcelerator.com"; // Replace with an ACS user login
var password = ""; // Replace with an ACS user password

var Cloud = require('ti.cloud');

function loginDefault(token) {

	Cloud.Users.login({
		login: login,
	password: password
	}, function(e) {
		if (e.success) {
			defaultSubscribe(token);
		} else {
			alert('Login Error:\\n' + ((e.error && e.message) || JSON.stringify(e)));
		}
	});

}

function defaultSubscribe(token) {
	Cloud.PushNotifications.subscribe({
		channel: 'message',
		device_token: token,
		type: "gcm"
	}, function(e) {
		if (e.success) {
			button.text += "\n"+ ("subscribed");
			if(Ti.Platform.osname == "android"){
				
			}
		} else {
			alert('Error:' + ((e.error && e.message) || JSON.stringify(e)));
		}
	});
}

function AndroidNotificationRegistration()
{
	// Require in the module
	var CloudPush = require('ti.cloudpush');
	var deviceToken = null;
	 
	// Initialize the module
	CloudPush.retrieveDeviceToken({
	    success: deviceTokenSuccess,
	    error: deviceTokenError
	});
	
	// Enable push notifications for this device
	// Save the device token for subsequent API calls
	function deviceTokenSuccess(e) {
	    CloudPush.enabled = true;
	    deviceToken = e.deviceToken;
	    Ti.App.Properties.setString("push_token", deviceToken);
	    console.log("Android Push Token GET success.");
	    loginDefault(e.deviceToken);
	}
	
	function deviceTokenError(e) {
	    alert('Failed to register for push notifications! ' + e.error);
	}
	 
	// Process incoming push notifications
	CloudPush.addEventListener('callback', function (evt) {
	    //alert(evt.payload);
	    var payload = JSON.parse(evt.payload);
	    console.log("Received Notification " + evt.payload);
	    
		/*if (evt.payload) {
			if (pushDialog != null)
				pushDialog.hide();

			pushDialog = Ti.UI.createAlertDialog({
				message : payload.android.alert,
				ok : 'Okay',
				title : (payload.android.title || 'Notification')
			});

			pushDialog.addEventListener("click", function() {
				pushDialog.hide();
			});
			pushDialog.show();
		}*/
	});
	// Triggered when the push notifications is in the tray when the app is not running
	CloudPush.addEventListener('trayClickLaunchedApp', function (evt) {
	    Ti.API.info('Tray Click Launched App (app was not running)');
	});
	// Triggered when the push notifications is in the tray when the app is running
	CloudPush.addEventListener('trayClickFocusedApp', function (evt) {
	    Ti.API.info('Tray Click Focused App (app was already running)');
	});
}
var button = Ti.UI.createLabel({
	text:'push stuff',
	width:Ti.UI.FILL,
	textAlign:'center',
	height:Ti.UI.SIZE
});
button.addEventListener('click', function(){
	AndroidNotificationRegistration();
});
win.add(button);
win.open();

